#99 Problem with Python 2.5 and email module

open
nobody
None
5
2007-02-21
2007-02-21
Anonymous
No

A python application using the email module compiles to an executable under python 2.4 without problem, but under 2.5 an error is issued at compile time that email.Utils, email.Iterators and eMail.Generator were not included in the distribution. The resultant distribution does not function, issuing an error as soon as it attempts to parse an email.

Discussion

  • muriloq

    muriloq - 2007-11-27

    Logged In: YES
    user_id=1945818
    Originator: NO

    The problem occurs because there was a change in the module names. In email.__init__ there's a comment saying:

    # Lazy loading to provide name mapping from new-style names (PEP 8 compatible
    # email 4.0 module names), to old-style names (email 3.0 module names).

    The standard interpreter supports this, but py2exe fails as you described.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks